=== tests/Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# Copyright © 2007, 2008, 2009 Jakub Wilk
+#
+# This package is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 dated June, 1991.
+
 PDF_FILES = $(wildcard *.pdf)
 DJVU_FILES = $(PDF_FILES:.pdf=.djvu)
 SED_FILES = $(DJVU_FILES:.djvu=.djvused)
