## pdf2djvu 0.7.0

=== Makefile ===
--- 
+++ 
@@ -18,15 +18,32 @@
 
 include Makefile.dep
 
+%.hh: %.xml
+	tools/xml2c < $(<) > $(@)
+
 paths.hh: tools/generate-paths-hh Makefile.common
 	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))
 
-pdf2djvu: pdf2djvu.o pdf-backend.o pdf-dpi.o debug.o config.o string-format.o system.o sexpr.o quantizer.o i18n.o
+pdf2djvu: config.o
+pdf2djvu: debug.o
+pdf2djvu: i18n.o
+pdf2djvu: pdf-backend.o
+pdf2djvu: pdf-dpi.o
+pdf2djvu: pdf2djvu.o
+pdf2djvu: quantizer.o
+pdf2djvu: sexpr.o
+pdf2djvu: string-format.o
+pdf2djvu: system.o
+pdf2djvu: xmp.o
+pdf2djvu:
 	$(LINK.cc) $(^) $(LDFLAGS) $(LDLIBS) -o $(@)
+
+XML_FILES = $(wildcard *.xml)
+XML_HH_FILES = $(XML_FILES:.xml=.hh)
 
 .PHONY: clean
 clean:
-	$(RM) pdf2djvu *.o paths.hh
+	$(RM) pdf2djvu *.o paths.hh $(XML_HH_FILES)
 
 .PHONY: distclean
 distclean: clean
