=== doc/Makefile ===
srcdir = ..
include $(srcdir)/doc/Makefile.common

XML_FILES = $(wildcard *.xml)
MAN_FILES = $(XML_FILES:.xml=.1)

.PHONY: all
all: $(MAN_FILES)

# vim:ts=4
