=== po/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 SOURCE_FILES = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)
 
 XGETTEXT_OPTIONS = \
+	--no-location \
+	--language=C++ \
+	--keyword=_ --keyword=N_ \
 	--package-name=$(PACKAGE_NAME) \
 	--package-version=$(PACKAGE_VERSION) \
 	--msgid-bugs-address=$(PACKAGE_BUGREPORT)
