=== doc/po/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 XSLTPROC += --param man.output.lang.in.name.enabled 1
 
 PO4A_OPTIONS = \
+	--rm-backups \
 	--package-name=$(PACKAGE_NAME) \
 	--package-version=$(PACKAGE_VERSION) \
 	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
@@ -25,6 +26,7 @@
 
 %.xml: %.po
 	po4a $(PO4A_OPTIONS) po4a.conf
+	sed -i -e '/^#:/ d' *.po
 	sed -i -e 's/<\(refentry\)>/<\1 lang="$(subst .,,$(suffix $(basename $(@))))">/' $(@)
 
 # vim:ts=4 sw=4 noet
