## pdf2djvu 0.7.4

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,10 @@
 pdf2djvu: config.o
 pdf2djvu: debug.o
 pdf2djvu: i18n.o
+pdf2djvu: image-filter.o
 pdf2djvu: pdf-backend.o
 pdf2djvu: pdf-dpi.o
 pdf2djvu: pdf2djvu.o
-pdf2djvu: quantizer.o
 pdf2djvu: sexpr.o
 pdf2djvu: string-format.o
 pdf2djvu: system.o
