=== debian/changelog ===
pdf2djvu (0.7.4-1) unstable; urgency=low

  * New upstream relase (closes: #585582).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 12 Jun 2010 22:24:37 +0200

pdf2djvu (0.7.3-1) unstable; urgency=low
  
  * New upstream release (closes: #582425).
  * Drop va_list mangling patch, no longer needed.
  * Install a few documentation files.
  * Update the watch file.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 24 May 2010 22:50:53 +0200

pdf2djvu (0.7.2-1) unstable; urgency=low

  * New upstream release:
    + No longer produce broken DjVu files with --fg-colors=web
      (closes: #579579).
    + Properly initialize GraphicsMagick (closes: #579580).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 02 May 2010 01:08:23 +0200

pdf2djvu (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 19 Apr 2010 21:45:45 +0200

pdf2djvu (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Bump standards version to 3.8.4 (no changes needed).
  * Bump priority to optional.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 01:39:42 +0100

pdf2djvu (0.6.1-2) unstable; urgency=low

  * va_list mangling has been changed in GCC 4.4 on armel. Add a hack which
    allows to build the package with GCC 4.4 even if poppler was compiled by
    an older GCC.
  * Sweep the tests directory in the clean target.
  * Update my e-mail address.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 09 Feb 2010 12:21:22 +0100

pdf2djvu (0.6.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * New upstream release.
  * Remove superfluous debian/manpages file.
  * Suggest poppler-data, which is necessary to properly convert some CJK
    PDFs.

  [ Luca Bruno ]
  * debian/control: Added Luca Bruno as uploader

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 15 Jan 2010 00:25:03 +0100

pdf2djvu (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #552087).
    + Update package description: XMP metadata is now properly supported.
    + Add build-dependency on libxslt1-dev and libxml2-utils.
  * New maintainer (closes: #563839).
  * Switch from cdbs to dh.
  * Ensure that poppler version is >= 0.7.3.
  * Ensure that both djvulibre-bin and libdjvulibreNN versions are
    >= 3.5.20-5.
  * Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Switch to source format 3.0 (quilt).
  * Update debian/copyright; use DEP-5 format.

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 07 Jan 2010 22:08:58 +0100

pdf2djvu (0.5.11-0.1) unstable; urgency=low

  * Non-Maintainer Upload
  * New Upstream version (Closes: #505690 #508391 #522339 #532002)
  * Moved to git collab-maint, added proper gbp.conf and Vcs-Git tag
  * Updated debian/rules for new building machinery, upstream changelog 
    moved to doc/changelog.txt
  * Configure now needs djvulibre-bin, added to build-dep
  * Updated S-V to 3.8.3
  * Added ${misc:Depends} for cdbs
  * Fixed copyright symbol

 -- Luca Bruno <lucab@debian.org>  Mon, 31 Aug 2009 16:47:10 +0200

pdf2djvu (0.4.11a-1) unstable; urgency=low

  * New upstream release
  * debian/docs - added upstream Change Logs per request of upstream

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 29 Jun 2008 15:47:02 -0400

pdf2djvu (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #474142)

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 07 May 2008 17:42:58 -0400
