=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: debhelper (>= 7),
 libpoppler-dev (>= 0.7.3),
 libdjvulibre-dev (>= 3.5.20-5~), djvulibre-bin (>= 3.5.20-5~),
 libpstreams-dev,
 libgraphicsmagick++1-dev,
 libxslt1-dev, libxml2-utils
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
Homepage: http://pdf2djvu.googlecode.com/

Package: pdf2djvu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, djvulibre-bin (>= 3.5.20-5~)
Suggests: poppler-data
Breaks: libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).
