=== debian/rules ===
#!/usr/bin/make -f
  
LDFLAGS = -Wl,--as-needed

ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
dh_parallel = --parallel
endif

.PHONY: build
build: build-stamp
build-stamp:
	+ dh build $(dh_parallel)
	touch $(@)

.PHONY: clean
clean:
	dh clean

.PHONY: install
install: install-stamp
install-stamp: build-stamp
	dh install --before dh_installchangelogs
	dh_installchangelogs doc/changelog.txt
	dh install --remaining
	touch $(@)

.PHONY: binary-arch
binary-arch: install
	dh binary-arch

.PHONY: binary-indep
binary-indep:

.PHONY: binary
binary: binary-arch binary-indep

# vim:ts=4 sw=4 noet
