## pdf2djvu 0.7.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .PHONY: all
 all: pdf2djvu
 
-ifneq ($(WINDRES),:)
+ifneq "$(WINDRES)" ""
 version.o: version.rc version.hh
 	$(WINDRES) -c 1252 -o $(@) $(<)
 pdf2djvu: version.o
