=== doc/po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009 Jakub Wilk
+# Copyright © 2009, 2010, 2011 Jakub Wilk
 #
 # This package is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,6 +24,9 @@
 .PHONY: all
 all: $(MAN_FILES)
 
+.PHONY: XML
+xml: $(XML_FILES)
+
 %.xml: %.po
 	po4a $(PO4A_OPTIONS) po4a.conf
 	sed -i -e '/^#:/ d' *.po
