=== debian/changelog ===
pdf2djvu (0.7.7-1ubuntu1) oneiric; urgency=low

  * Rebuild
  * Bump standards version to 3.9.2

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 24 May 2011 19:41:32 -0600

pdf2djvu (0.7.7-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Stender <daniel@danielstender.com>  Sun, 03 Apr 2011 16:44:21 +0200

pdf2djvu (0.7.6-1) unstable; urgency=low

  [ Daniel Stender ]
  * New upstream release.

  [ Luca Bruno ]
  * Bumped build-dep on libdjvulibre-dev to avoid FTBFS (closes: #613477).

 -- Luca Bruno <lucab@debian.org>  Sat, 12 Mar 2011 20:55:43 +0100

pdf2djvu (0.7.4-2) unstable; urgency=low

  * New maintainer (closes #598154).
  * Bumped to standards-version 3.9.1.

 -- Daniel Stender <daniel@danielstender.com>  Tue, 23 Nov 2010 14:30:57 +0100
