=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <daniel@danielstender.com>
 Uploaders: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 7),
  libpoppler-dev (>= 0.7.3),
- libdjvulibre-dev (>= 3.5.20-5~), djvulibre-bin (>= 3.5.20-5~),
+ libdjvulibre-dev (>= 3.5.23-6), djvulibre-bin (>= 3.5.23-6),
  libpstreams-dev,
  libgraphicsmagick++1-dev,
  libxslt1-dev, libxml2-utils
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
 Homepage: http://pdf2djvu.googlecode.com/
