=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 .PHONY: install
 install: install-stamp
 install-stamp: build-stamp
-	dh install --before dh_installchangelogs
-	dh_installchangelogs doc/changelog.txt
+	dh install
 	dh install --remaining
 	touch $(@)
