=== win32/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # the Free Software Foundation; version 2 dated June, 1991.
 
 usr = $(CURDIR)
-host = i586-mingw32msvc
+host = i686-w64-mingw32
 docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl
 
 version := $(shell cat ../doc/changelog | head -n1 | cut -d' ' -f2 | tr -d '()')
@@ -15,8 +15,8 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
-export CC = $(host)-gcc -static-libgcc
-export CXX = $(host)-g++ -static-libgcc
+export CC = $(host)-gcc -D__USE_MINGW_ANSI_STDIO
+export CXX = $(host)-g++ -D__USE_MINGW_ANSI_STDIO
 export AS = $(host)-as
 export DLLTOOL = $(host)-dlltool
 export OBJDUMP = $(host)-objdump
@@ -78,7 +78,7 @@
 	sed -i \
 		-e '/^extern/d; /^"C"$$/d; /^const char [*]_nl_/d; s/ + _nl_[a-z_]* + .*$$//' \
 		$(dir $@)/configure
-	sed -i -e 's/%zu/%Iu/g' \
+	sed -i -e 's/%zu/%Iu/g; s/%ju/%I64u/g' \
 		$(dir $@)/*.cc \
 		$(dir $@)/*.hh \
 		$(dir $@)/po/*.po*
@@ -88,7 +88,6 @@
 src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
 src/pdf2djvu/config.status: src/djvulibre/install-stamp
 src/pdf2djvu/config.status: src/libxslt/install-stamp
-src/pdf2djvu/config.status: src/mingwrt/install-stamp
 src/pdf2djvu/config.status: src/poppler/install-stamp
 src/pdf2djvu/config.status: src/gettext/install-stamp
 	cd $(dir $@) && \
@@ -132,7 +131,6 @@
 src/libs-install-stamp: src/libjpeg/install-stamp
 src/libs-install-stamp: src/libxml2/install-stamp
 src/libs-install-stamp: src/libxslt/install-stamp
-src/libs-install-stamp: src/mingwrt/install-stamp
 src/libs-install-stamp: src/poppler/install-stamp
 src/libs-install-stamp: src/winiconv/install-stamp
 	mkdir -p dist/doc/
@@ -143,8 +141,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	cd src && wget -c http://poppler.freedesktop.org/poppler-0.16.4.tar.gz
-	echo '0e48e54d6e6d7269f049cf9d060e3ed078cad69808bda8a6da285a7b41c3a2a6  src/poppler-0.16.4.tar.gz' | sha256sum -c
+	cd src && wget -c http://poppler.freedesktop.org/poppler-0.16.7.tar.gz
+	echo 'fab4e8af2d34d4142a718819fd747d40930b71ef520ee0e6bcc94e2c44f22bcd  src/poppler-0.16.7.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../poppler-*.tar.gz
 	rm src/poppler-*.tar.gz
 	touch $@
@@ -183,8 +181,8 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.23.tar.gz
-	echo '608c07e629626cfe713168c942a07d2db3b0b19df4aae1f598473f4a2daf213d  src/djvulibre-3.5.23.tar.gz' | sha256sum -c
+	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.24.tar.gz
+	echo 'c0734c81d22a0e458c3fb5efd4c3eab051bcb6ad8740f5a5784c1f5699482534  src/djvulibre-3.5.24.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../djvulibre-*.tar.gz
 	sed -i \
 		-e '/LIBS=-lmsvcp60/d' \
@@ -192,6 +190,8 @@
 		$(dir $@)/configure
 	sed -i -e 's/define USE_WIN32_INTERLOCKED 1/define USE_GCC_I386_ASM 1/' $(dir $@)/libdjvu/atomic.cpp
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
+	sed -i -e '1a #include <stddef.h>' $(dir $@)/libdjvu/*.h # Fix FTBFS with GCC 4.6
+	sed -i -e 's/^#ifndef NO_MMX$$/#if 0/' $(dir $@)/libdjvu/MMX.h # Disable MMX code, broken with GCC 4.6
 	rm src/djvulibre-*.tar.gz
 	touch $@
 
@@ -262,6 +262,7 @@
 	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
 	rm src/libxslt-*.tar.gz
+	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' src/libxslt/libxslt/libxslt.h
 	touch $@
 
 src/libxslt/config.status: src/libxslt/source-stamp
@@ -375,12 +376,3 @@
 		localedir='.'
 	touch $@
 
-src/gettext/install-stamp: src/gettext/build-stamp
-	mkdir -p dist/
-	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ install
-	$(call ship_dll,libintl)
-	touch $@
-
-# winiconv
-
-src/winiconv/source-stamp:
