=== debian/changelog ===
pdf2djvu (0.7.11-1) unstable; urgency=low

  * New upstream release.
  * Changes of debian/copyright:
    + Minor changes to meet DEP-5, bumped rev. to 174.
    + Changed source URL.
    + Extended copyrights to 2011.
    + Expanded the GPL-2 text.
  * Changes of debian/control:
    + Wrapped-and-sorted.
    + Changed homepage URL.

 -- Daniel Stender <daniel@danielstender.com>  Fri, 04 Nov 2011 19:58:07 +0100

pdf2djvu (0.7.8-1) unstable; urgency=low

  * New upstream release.
    + Add German translation (Closes: #626315, #627950)
    + Merge multiple input PDF files (Closes: #633628)
  * Add recommended build targets build-arch and build-indep.
  * Bump policy version.

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Aug 2011 18:00:14 +0200
