=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends:
 debhelper (>= 7),
 djvulibre-bin (>= 3.5.23-6),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-dev (>= 0.7.3),
 libpstreams-dev,
 libxml2-utils,
 libxslt1-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
Homepage: http://jwilk.net/software/pdf2djvu

Package: pdf2djvu
Architecture: any
Depends: djvulibre-bin (>= 3.5.20-5~), ${misc:Depends}, ${shlibs:Depends}
Suggests: poppler-data
Breaks: libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).
