=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 endif
 
 .PHONY: build
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	+ dh build $(dh_parallel)
 	touch $(@)
