=== win32/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
-export CC = $(host)-gcc -D__USE_MINGW_ANSI_STDIO
-export CXX = $(host)-g++ -D__USE_MINGW_ANSI_STDIO
+export CC = $(host)-gcc
+export CXX = $(host)-g++
 export AS = $(host)-as
 export DLLTOOL = $(host)-dlltool
 export OBJDUMP = $(host)-objdump
@@ -28,6 +28,7 @@
 
 export CFLAGS = -Os
 export CXXFLAGS = -Os
+export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO
 
 .PHONY: all
 all:
@@ -90,6 +91,7 @@
 src/pdf2djvu/config.status: src/libxslt/install-stamp
 src/pdf2djvu/config.status: src/poppler/install-stamp
 src/pdf2djvu/config.status: src/gettext/install-stamp
+src/pdf2djvu/config.status: src/mingwrt/install-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
 		--bindir=$(usr)/dist/ \
@@ -226,6 +228,7 @@
 	cd src && wget -c http://xmlsoft.org/sources/libxml2-2.7.8.tar.gz
 	echo 'cda23bc9ebd26474ca8f3d67e7d1c4a1f1e7106364b690d822e009fdc3c417ec  src/libxml2-2.7.8.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxml2-*.tar.gz
+	sed -i -e '/^#undef v\?snprintf$$/d' $(dir $@)/config.h.in
 	rm src/libxml2-*.tar.gz
 	rm -r src/libxml2/test
 	rm -r src/libxml2/result
@@ -262,7 +265,7 @@
 	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
 	rm src/libxslt-*.tar.gz
-	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' src/libxslt/libxslt/libxslt.h
+	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' $(dir $@)/libxslt/libxslt.h
 	touch $@
 
 src/libxslt/config.status: src/libxslt/source-stamp
@@ -371,8 +374,3 @@
 	touch $@	
 
 src/gettext/build-stamp: src/gettext/config.status
-	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ \
-		aliaspath='\""; return NULL; "\"' \
-		localedir='.'
-	touch $@
-
