=== debian/changelog ===
pdf2djvu (0.7.12-2+deb7u1) oldstable; urgency=medium

  * added fix-insecure-use-of-tmp-when-executing-c44.diff, fix
    of no-dsa security issue (related bug #784889 closed by 0.7.21-1
    in Sid).
  * deb/rules: added empty override for dh_auto_clean (see #724228).

 -- Daniel Stender <debian@danielstender.com>  Sun, 21 Jun 2015 12:20:37 +0200

pdf2djvu (0.7.12-2) unstable; urgency=low

  * Add missing pkg-config build-dep (Closes: #661080)
  * Build with hardening flags enabled

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Feb 2012 14:01:05 +0100

pdf2djvu (0.7.12-1) unstable; urgency=low

  * New upstream release
  * Update build-dep to libpoppler-private-dev for ongoing transition

 -- Luca Bruno <lucab@debian.org>  Mon, 13 Feb 2012 22:00:03 +0100
