=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
  djvulibre-bin (>= 3.5.23-6),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-dev (>= 0.7.3),
+ libpoppler-private-dev (>= 0.7.3),
  libpstreams-dev,
  libxml2-utils,
- libxslt1-dev
+ libxslt1-dev,
+ pkg-config,
+ dpkg-dev (>= 1.16.1)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
