=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
-  
-LDFLAGS = -Wl,--as-needed
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+LDFLAGS += -Wl,--as-needed
 
 ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
 dh_parallel = --parallel
@@ -17,6 +21,8 @@
 .PHONY: clean
 clean:
 	dh clean
+
+override_dh_auto_clean:
 
 .PHONY: install
 install: install-stamp
