## pdf2djvu 0.7.14

=== po/Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 
 gettext-common-options = \
 	--no-location \
-	--sort-output
+	--sort-output \
+	--no-wrap \
 
 xgettext = $(XGETTEXT) \
 	$(gettext-common-options) \
@@ -21,7 +22,8 @@
 	--keyword=_ --keyword=N_ \
 	--package-name=pdf2djvu \
 	--package-version=$(PACKAGE_VERSION) \
-	--msgid-bugs-address=$(PACKAGE_BUGREPORT)
+	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
+	--add-comments=L10N: \
 
 msgmerge = $(MSGMERGE) \
 	$(gettext-common-options)
